import request from '@/utils/request'
import utils from '@/common/js/utils'

export function getAddressList(data) {
  return request({
    url: '/addressAssign/getAddressList',
    method: 'post',
    data
  })
}

export function addAddress(data) {
  return request({
    url: '/addressAssign/addAddress',
    method: 'post',
    data: utils.packForm(data)
  })
}

export function delAddress(data) {
  return request({
    url: '/addressAssign/delAddress',
    method: 'post',
    data: utils.packForm(data)
  })
}

/**
 * 获取片区信息分页
 * @param {object} pageRequestDto 分页参数
 * @returns 获取结果
 * @author lroyia
 * @since 2021年4月20日 15:57:54
 */
export function getAreaSlicePage(pageRequestDto) {
  return request({
    url: '/areaSlice/page',
    method: 'post',
    data: pageRequestDto
  })
}
/**
 * 添加片区信息
 * @param {object} data 添加参数
 * @returns 添加结果
 * @author lroyia
 * @since 2021年4月20日 17:56:39
 */
export function addAreaSlice(data) {
  return request({
    url: '/areaSlice/add',
    method: 'post',
    data: utils.packForm(data)
  })
}
/**
 * 修改片区信息
 * @param {object} data 修改参数
 * @returns 修改结果
 * @author lroyia
 * @since 2021年4月20日 17:56:39
 */
export function modifyAreaSlice(data) {
  return request({
    url: '/areaSlice/modify',
    method: 'post',
    data: utils.packForm(data)
  })
}
/**
 * 删除（软）片区信息
 * @param {string} ids 删除数据的id，多个用“,”隔开
 * @returns 删除操作结果
 * @author lroyia
 * @since 2021年4月20日 17:56:39
 */
export function removeAreaSlice(ids) {
  const data = new FormData()
  data.append('ids', ids)
  return request({
    url: '/areaSlice/remove',
    method: 'post',
    data
  })
}
/**
 * 获取片区列表
 * @returns 片区列表
 * @author lroyia
 * @since 2021年4月20日 17:56:39
 */
export function areaSliceAllList() {
  return request({
    url: '/areaSlice/list',
    method: 'get'
  })
}

/**
 * 加入自动认领队列
 * @param {string}} sliceId 片区id
 * @returns 加入结果
 * @author lroyia
 * @since 2021年5月25日 10:41:56
 */
export function addAutoClaimQueue(sliceId) {
  const form = new FormData()
  form.append('sliceId', sliceId)
  return request({
    url: '/areaSlice/addAutoClaimQueue',
    method: 'post',
    data: form
  })
}

/**
 * 保存片区围点信息
 * @param {object} data 围点信息
 * @returns 保存结果
 * @author lroyia
 * @since 2021年11月28日 19:14:12
 */
export function saveSlicePolygon(data) {
  return request({
    url: '/areaSlice/savePolygon',
    method: 'post',
    data
  })
}

/**
 * 获取片区围点信息
 * @param {string} sliceId 片区id
 * @returns 片区围点信息
 * @author lroyia
 * @since 2021年11月29日 14:46:02
 */
export function getSlicePolygon(sliceId) {
  return request({
    url: `/areaSlice/getSlicePolygon?sliceId=${sliceId}`,
    type: 'GET'
  })
}


/**
 * 获取可改变（可进行业户调整）的片区
 * @param {string} sliceId 当前片区id
 * @returns 查询结果
 * @author lroyia
 * @since 2021年12月14日 16:31:28
 */
export function getChangeableSlice(sliceId) {
  if (!sliceId) {
    sliceId = ''
  }
  return request({
    url: `/bizOwnerAssign/getChangeableSlice?sliceId=${sliceId}`,
    method: 'get'
  })
}
